/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.document;

import de.ozgcloud.document.Document.DocumentBuilder;

public class DocumentTestFactory {

	public static final String ID = "documentId";
	public static final String TYPE = "type";
	public static final String DOCUMENT_FILE = "file-id";
	public static final String NACHRICHT_SUBJECT = "subject";
	public static final String NACHRICHT_TEXT = "text";

	public static Document create() {
		return createBuilder().build();
	}

	public static DocumentBuilder createBuilder() {
		return Document.builder()
				.id(ID)
				.type(TYPE)
				.fileId(DOCUMENT_FILE)
				.nachrichtSubject(NACHRICHT_SUBJECT)
				.nachrichtText(NACHRICHT_TEXT);
	}
}
