/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.document.bescheid;

import java.time.LocalDate;

import de.ozgcloud.document.bescheid.common.user.UserProfileTestFactory;
import de.ozgcloud.document.bescheid.vorgang.VorgangId;
import de.ozgcloud.document.bescheid.vorgang.VorgangTestFactory;

public class BescheidRequestTestFactory {

	static final VorgangId VORGANG_ID = VorgangTestFactory.ID;
	static final String BESCHEID_VOM_STRING = "2023-01-04";
	static final LocalDate BESCHEID_VOM = LocalDate.parse(BESCHEID_VOM_STRING);
	static final boolean GENEHMIGT = true;

	public static BescheidRequest create() {
		return createBuilder().build();
	}

	public static BescheidRequest.BescheidRequestBuilder createBuilder() {
		return BescheidRequest.builder()
				.vorgangId(VORGANG_ID)
				.bescheidVom(BESCHEID_VOM)
				.genehmigt(GENEHMIGT)
				.createFor(UserProfileTestFactory.create());

	}
}
