/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.document.common.attached_item;

import de.ozgcloud.command.CommandTestFactory;
import de.ozgcloud.vorgang.common.GrpcObject;
import de.ozgcloud.vorgang.common.GrpcProperty;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItem;

public class GrpcVorgangAttachedItemTestFactory {

	public static final String PROPERTY_NAME = "propertyName";
	public static final String PROPERTY_NAME_VALUE = "propertyNameValue";
	public static final GrpcObject OBJECT = GrpcObject.newBuilder()
			.addProperty(GrpcProperty.newBuilder().setName(PROPERTY_NAME).addValue(PROPERTY_NAME_VALUE)).build();

	static GrpcVorgangAttachedItem create() {
		return createBuilder().build();
	}

	static GrpcVorgangAttachedItem.Builder createBuilder() {
		return GrpcVorgangAttachedItem.newBuilder()
				.setId(AttachedItemTestFactory.ID)
				.setVersion(AttachedItemTestFactory.VERSION)
				.setVorgangId(CommandTestFactory.VORGANG_ID)
				.setClient(AttachedItemTestFactory.CLIENT)
				.setItemName(AttachedItemService.BESCHEID_ITEM_NAME)
				.setItem(OBJECT);
	}
}
